/* eslint-disable no-magic-numbers */
import { getReduxWrapperWithStore } from '@/utils/testing/getReduxWrapperWithStore';
import { renderHook } from '@testing-library/react';
import VectorLayer from 'ol/layer/Vector';
import { initialMapStateFixture } from '@/redux/map/map.fixtures';
import { BACKGROUND_INITIAL_STATE_MOCK } from '@/redux/backgrounds/background.mock';
import { Map } from 'ol';
import { useOlMapAdditionalLayers } from '@/components/Map/MapViewer/MapViewerVector/utils/config/additionalLayers/useOlMapAdditionalLayers';

describe('useOlMapAdditionalLayers - util', () => {
  it('should return VectorLayer', () => {
    const { Wrapper } = getReduxWrapperWithStore({
      map: initialMapStateFixture,
      backgrounds: BACKGROUND_INITIAL_STATE_MOCK,
    });

    const dummyElement = document.createElement('div');
    const mapInstance = new Map({ target: dummyElement });
    const { result } = renderHook(() => useOlMapAdditionalLayers(mapInstance), {
      wrapper: Wrapper,
    });

    expect(result.current).toBeInstanceOf(Array<VectorLayer>);
  });
});
