import Style from 'ol/style/Style';

export default function getScaledElementStyle(
  style: Style,
  lineWidth: number,
  scale: number,
): Style {
  const clonedStyle = style.clone();
  const lineDash = clonedStyle.getStroke()?.getLineDash();
  if (lineDash) {
    const newLineDash = lineDash.map(width => width * scale);
    clonedStyle.getStroke()?.setLineDash(newLineDash);
  }
  clonedStyle.getStroke()?.setWidth(lineWidth * scale);
  clonedStyle.getText()?.setScale(scale);
  return clonedStyle;
}
