import { Fill, Text } from 'ol/style';
import Style from 'ol/style/Style';
import { HorizontalAlign } from '@/components/Map/MapViewer/MapViewerVector/MapViewerVector.types';

export default function getTextStyle({
  text,
  fontSize,
  color,
  zIndex,
  horizontalAlign,
}: {
  text: string;
  fontSize: number;
  color: string;
  zIndex: number;
  horizontalAlign: HorizontalAlign;
}): Style {
  return new Style({
    text: new Text({
      text,
      font: `${fontSize}pt Arial`,
      fill: new Fill({
        color,
      }),
      placement: 'point',
      textAlign: horizontalAlign.toLowerCase() as CanvasTextAlign,
      textBaseline: 'middle',
      overflow: true,
    }),
    zIndex,
  });
}
