import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getModelElements } from '@/redux/modelElements/modelElements.thunks';
import { ModelElementsState } from '@/redux/modelElements/modelElements.types';

export const getModelElementsReducer = (
  builder: ActionReducerMapBuilder<ModelElementsState>,
): void => {
  builder.addCase(getModelElements.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getModelElements.fulfilled, (state, action) => {
    state.data = action.payload || null;
    state.loading = 'succeeded';
  });
  builder.addCase(getModelElements.rejected, state => {
    state.loading = 'failed';
  });
};
