import { ActionReducerMapBuilder } from '@reduxjs/toolkit';
import { getNewReactions } from '@/redux/newReactions/newReactions.thunks';
import { NewReactionsState } from '@/redux/newReactions/newReactions.types';

export const getNewReactionsReducer = (
  builder: ActionReducerMapBuilder<NewReactionsState>,
): void => {
  builder.addCase(getNewReactions.pending, state => {
    state.loading = 'pending';
  });
  builder.addCase(getNewReactions.fulfilled, (state, action) => {
    state.data = action.payload || [];
    state.loading = 'succeeded';
  });
  builder.addCase(getNewReactions.rejected, state => {
    state.loading = 'failed';
  });
};
