import {
  REFERENCES_MOCK_ALL_INVALID,
  REFERENCES_MOCK_ALL_VALID,
} from '@/models/mocks/referencesMock';
import { ReferenceFiltered } from '@/types/reference';
import { NewReaction } from '@/types/models';
import { getReferencesWithoutEmptyLink } from './getFilteredReferences';

describe('getFilteredReferences - subUtil', () => {
  const cases: [Pick<NewReaction, 'references'>, ReferenceFiltered[]][] = [
    [
      {
        references: REFERENCES_MOCK_ALL_VALID,
      },
      REFERENCES_MOCK_ALL_VALID as ReferenceFiltered[],
    ],
    [
      {
        references: REFERENCES_MOCK_ALL_INVALID,
      },
      [],
    ],
    [
      {
        references: [...REFERENCES_MOCK_ALL_VALID, ...REFERENCES_MOCK_ALL_INVALID],
      },
      REFERENCES_MOCK_ALL_VALID as ReferenceFiltered[],
    ],
  ];

  it.each(cases)('should return valid filtered references', (reaction, result) => {
    expect(getReferencesWithoutEmptyLink(reaction)).toStrictEqual(result);
  });
});
